<?php 
require ('../conectar.php');
require ('funciones.php');
$idpago=$_GET["idpago"];
?>
<html>
<head>
<style>
			  .datos{border:0;-moz-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;-khtml-border-radius: 5px;border-collapse: collapse;color:#0d0d0d;font-family:arial;width:99%;}
			  
			  .datos .trd{ color:#000000 min-height:20px !important;max-height:20px !important;height:20px !important; background:#CCCCCC; font-size:9px;border:solid 1px #000000;}
			  .datos .trd td{padding-left:10px; border-left:solid 1px;}
			  .datos .trb{ color:#000000; min-height:20px !important;max-height:20px !important;height:20px !important; font-size:9px;border:solid 1px #000000;}
			  .datos .trb td{padding-left:10px; border-left:solid 1px;}
			  
			  .loading{ position:fixed;left:50%;top:50%;width:250px;height:70px;margin-left:-125px;margin-top:-35px;display:none;background:url(images/bkloading.png);background-repeat:no-repeat;color:#ffffff;padding-top:25px;text-align:center;font-family:arial;font-size:12px;}
              </style>
<script>
var _validFileExtensions = [".jpg", ".jpeg", ".bmp", ".gif", ".png", ".pdf"];    
function ValidateSingleInput(oInput) {
    if (oInput.type == "file") {
        var sFileName = oInput.value;
         if (sFileName.length > 0) {
            var blnValid = false;
            for (var j = 0; j < _validFileExtensions.length; j++) {
                var sCurExtension = _validFileExtensions[j];
                if (sFileName.substr(sFileName.length - sCurExtension.length, sCurExtension.length).toLowerCase() == sCurExtension.toLowerCase()) {
                    blnValid = true;
                    break;
                }
            }
             
            if (!blnValid) {
                alert("Lo sentimos, " + sFileName + " es invalido, Solamente se aceptan extensiones: " + _validFileExtensions.join(", "));
                oInput.value = "";
                return false;
            }
        }
    }
    return true;
}
</script>			  
</head>
<body>
<?php 


if(($_FILES["comprobante"]['name'])!="")
{
		$idpago=$_POST["idpago"];
		/*$tamano=$_FILES["comprobante"];

		$tipo = $_FILES["comprobante"]['type'];
		$archivo = $_FILES["comprobante"]['name'];
		$prefijo = substr(md5(uniqid(rand())),0,6);
		// guardamos el archivo a la carpeta pagos
		$destino= "pagos/".$prefijo."_".$archivo;
		if(copy($_FILES["comprobante"]['tmp_name'],$destino)) {
			echo $status = "Archivo subido: <b>".$archivo."</b>";
		$sql="UPDATE pagos set comprobante='$destino' where id_pago='$idpago'";
		mysql_query($sql);
                }else{	echo $status = "Error al subir el archivo";}  
				
			*/	
		
		$prefijo = substr(md5(uniqid(rand())),0,6);
		$nombre_archivo = "pagos/".$prefijo."_".$_FILES['comprobante']['name'];  
        $tipo_archivo = $_FILES['comprobante']['type']; 
        // tamano_archivo= Almacena el tamaño del archivo en bytes 
        $tamano_archivo = $_FILES['comprobante']['size'];  
        //compruebo si las características del archivo son las que deseo
        
		// guardamos el archivo a la carpeta pagos
		//$destino= "pagos/".$prefijo."_".$archivo;
		
        if($nombre_archivo!='pagos/'){ 
        if (!((strpos($tipo_archivo, "gif") || strpos($tipo_archivo, "jpeg") || strpos($tipo_archivo, "jpg") || strpos($tipo_archivo, "png") || strpos($tipo_archivo, "bmp") || strpos($tipo_archivo, "pdf")) && ($tamano_archivo < 2100000))) {  
		  $msg = "El tamaño o la extension del archivo no son correctas";             
        }else{  
        if (move_uploaded_file($_FILES['comprobante']['tmp_name'], $nombre_archivo)){ 
				  $sql="UPDATE pagos set comprobante='$nombre_archivo' where id_pago='$idpago'";
				  $msg = "El archivo ha sido cargado correctamente";  
				  mysql_query($sql);
               }
	         }		
				
		}
?>
<script language="JavaScript" type="text/javascript"> 
alert("<?php echo htmlentities($msg);?>");
window.opener.location.reload();
window.close();
</script>
<?
		}
$consulta="SELECT * from pagos where id_pago='$idpago'";
$re=mysql_query($consulta);
while($ls=mysql_fetch_array($re)){
?>
 <form action="modificar_comp_pag.php" method="post" enctype="multipart/form-data">
<table class="datos">
  <tr class="trd">
    <td width="149" height="29"><strong>Fecha</strong></td>
 <td>Seleccione el archivo</td>
  </tr>
  <tr class="trb">
    <td height="62"><?php echo $ls['fecha'];?></td>
    <td>
		<input name="comprobante"  id="comprobante" type="file" onchange="ValidateSingleInput(this);">
		<br><label>Solo extensiones jpg/bmp/gif/png/pdf</label>
	</td>
 </tr>

</table><input type="hidden" id="idpago" name="idpago" value="<?echo$idpago?>">
<p align="center">
<input type="submit" name="registrar" id="registrar" value="registrar"> </p>
<? }?>

</form>
</body>
</html>